Get an inbound deposit
curl --request GET \
--url https://production.hifibridge.com/v2/users/{userId}/wallets/deposits/{depositId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/users/{userId}/wallets/deposits/{depositId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/users/{userId}/wallets/deposits/{depositId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "f4c99c2f-ce05-4f61-8ed6-9064a5689197",
"id": "2e084846-00d6-5e4c-806f-eac45e197108",
"createdAt": "2025-06-25T15:47:16.983978+00:00",
"updatedAt": "2025-06-25T15:47:16.983978+00:00",
"wallet": {
"id": "24b4917d-694e-4d81-ace8-9ba5261b6f4e",
"address": "0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef",
"chain": "POLYGON",
"walletType": "INDIVIDUAL"
},
"transaction": {
"transactionHash": "0xe5284c4cb35ae9b5eb0ae23b840032f320b87b63f8967ee9b67ee09dfe6a194a",
"chain": "POLYGON",
"currency": "usdc",
"status": "COMPLETED",
"sourceAddress": "0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef",
"destinationAddress": "0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef",
"contractAddress": "0x41E94Eb019C0762f9Bfcf9Fb1E58725BfB0e7582",
"amount": "19",
"unitAmount": "19000000"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Wallets
Get an inbound deposit
Get an inbound deposit for a user’s wallet
GET
/
v2
/
users
/
{userId}
/
wallets
/
deposits
/
{depositId}
Get an inbound deposit
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I